Bug 1380605 - Error and warning message getting while removing glusterfs-events-3.8.4-2 package
Summary: Error and warning message getting while removing glusterfs-events-3.8.4-2 pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1386141 1387492
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-30 05:42 UTC by Byreddy
Modified: 2017-03-23 06:06 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1386141 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:06:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Byreddy 2016-09-30 05:42:51 UTC
Description of problem:
=======================
While removing the glusterfs-events package, getting the below error & warning message.

=======start===
 Erasing    : glusterfs-events-3.8.4-2.el7rhgs.x86_64                                                                                                                                   3/13 
Failed to try-restart glustereventsd.service: Unit glustereventsd.service failed to load: No such file or directory.
warning: %postun(glusterfs-events-3.8.4-2.el7rhgs.x86_64) scriptlet failed, exit status 6
Non-fatal POSTUN scriptlet failure in rpm package glusterfs-events-3.8.4-2.el7rhgs.x86_64
======end====


Version-Release number of selected component (if applicable):
=============================================================
glusterfs-events-3.8.4-2


How reproducible:
=================
Always


Steps to Reproduce:
===================
1.Install all glusterfs-3.8.4-2 packages ( http://download-node-02.eng.bos.redhat.com/brewroot/packages/glusterfs/3.8.4/2.el7rhgs/x86_64/ )
2.Remove all the installed packages 
3. Check for the above error and warning messages while removing the glusterfs-events package

Actual results:
================
Getting error and warning message while removing the glusterfs-events package

Expected results:
==================
It should not throw any error and warning messages while removing the package.


Additional info:

Comment 4 Aravinda VK 2016-10-18 09:36:30 UTC
Upstream Patch sent
http://review.gluster.org/15670

Comment 6 Aravinda VK 2016-10-24 11:21:29 UTC
Downstream Patch sent
https://code.engineering.redhat.com/gerrit/88030

Comment 8 Atin Mukherjee 2016-10-24 11:38:23 UTC
upstream mainline : http://review.gluster.org/#/c/15670/
upstream 3.9 : http://review.gluster.org/#/c/15693/
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/88030/

Comment 10 Sweta Anandpara 2016-11-22 09:18:31 UTC
Tested and verified this on the build 3.8.4-5. Removal of glusterfs-events package takes place without any warning/error.

Moving this BZ to verified in 3.2. Detailed logs are pasted below.

[root@dhcp46-239 ~]# yum remove glusterfs-events
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package glusterfs-events.x86_64 0:3.8.4-5.el7rhgs will be erased
--> Finished Dependency Resolution
Server-RH-Gluster-3.2-Nagios-Server/x86_64                                                    | 1.2 kB  00:00:00     
Server-RH-Gluster-3.2-Server/x86_64                                                           | 1.2 kB  00:00:00     
rhel73                                                                                        | 4.1 kB  00:00:00     
rhel73_optional                                                                               | 3.8 kB  00:00:00     

Dependencies Resolved

=====================================================================================================================
 Package                    Arch             Version                   Repository                               Size
=====================================================================================================================
Removing:
 glusterfs-events           x86_64           3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server            83 k

Transaction Summary
=====================================================================================================================
Remove  1 Package

Installed size: 83 k
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           1/1 
  Verifying  : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           1/1 

Removed:
  glusterfs-events.x86_64 0:3.8.4-5.el7rhgs                                                                          

Complete!
[root@dhcp46-239 ~]# yum install glusterfs-events
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package glusterfs-events.x86_64 0:3.8.4-5.el7rhgs will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================
 Package                    Arch             Version                    Repository                              Size
=====================================================================================================================
Installing:
 glusterfs-events           x86_64           3.8.4-5.el7rhgs            Server-RH-Gluster-3.2-Server            29 k

Transaction Summary
=====================================================================================================================
Install  1 Package

Total download size: 29 k
Installed size: 83 k
Is this ok [y/d/N]: y
Downloading packages:
glusterfs-events-3.8.4-5.el7rhgs.x86_64.rpm                                                   |  29 kB  00:00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           1/1 
  Verifying  : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           1/1 

Installed:
  glusterfs-events.x86_64 0:3.8.4-5.el7rhgs                                                                          

Complete!
[root@dhcp46-239 ~]#
[root@dhcp46-239 ~]# yum remove glusterfs-server
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package glusterfs-server.x86_64 0:3.8.4-5.el7rhgs will be erased
--> Processing Dependency: glusterfs-server(x86-64) = 3.8.4-5.el7rhgs for package: glusterfs-geo-replication-3.8.4-5.el7rhgs.x86_64
--> Processing Dependency: glusterfs-server(x86-64) = 3.8.4-5.el7rhgs for package: glusterfs-events-3.8.4-5.el7rhgs.x86_64
--> Processing Dependency: glusterfs-server(x86-64) = 3.8.4-5.el7rhgs for package: glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64
--> Processing Dependency: libgfdb.so.0()(64bit) for package: glusterfs-devel-3.8.4-5.el7rhgs.x86_64
--> Running transaction check
---> Package glusterfs-devel.x86_64 0:3.8.4-5.el7rhgs will be erased
--> Processing Dependency: glusterfs-devel(x86-64) = 3.8.4-5.el7rhgs for package: glusterfs-api-devel-3.8.4-5.el7rhgs.x86_64
---> Package glusterfs-events.x86_64 0:3.8.4-5.el7rhgs will be erased
---> Package glusterfs-ganesha.x86_64 0:3.8.4-5.el7rhgs will be erased
---> Package glusterfs-geo-replication.x86_64 0:3.8.4-5.el7rhgs will be erased
--> Running transaction check
---> Package glusterfs-api-devel.x86_64 0:3.8.4-5.el7rhgs will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================
 Package                          Arch          Version                   Repository                            Size
=====================================================================================================================
Removing:
 glusterfs-server                 x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server        4.6 M
Removing for dependencies:
 glusterfs-api-devel              x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server         38 k
 glusterfs-devel                  x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server        855 k
 glusterfs-events                 x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server         83 k
 glusterfs-ganesha                x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server         57 k
 glusterfs-geo-replication        x86_64        3.8.4-5.el7rhgs           @Server-RH-Gluster-3.2-Server        817 k

Transaction Summary
=====================================================================================================================
Remove  1 Package (+5 Dependent packages)

Installed size: 6.4 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           1/6 
  Erasing    : glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64                                                          2/6 
  Erasing    : glusterfs-api-devel-3.8.4-5.el7rhgs.x86_64                                                        3/6 
  Erasing    : glusterfs-devel-3.8.4-5.el7rhgs.x86_64                                                            4/6 
  Erasing    : glusterfs-geo-replication-3.8.4-5.el7rhgs.x86_64                                                  5/6 
Removed symlink /etc/systemd/system/multi-user.target.wants/glusterd.service.
  Erasing    : glusterfs-server-3.8.4-5.el7rhgs.x86_64                                                           6/6 
success
  Verifying  : glusterfs-api-devel-3.8.4-5.el7rhgs.x86_64                                                        1/6 
  Verifying  : glusterfs-server-3.8.4-5.el7rhgs.x86_64                                                           2/6 
  Verifying  : glusterfs-geo-replication-3.8.4-5.el7rhgs.x86_64                                                  3/6 
  Verifying  : glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64                                                          4/6 
  Verifying  : glusterfs-events-3.8.4-5.el7rhgs.x86_64                                                           5/6 
  Verifying  : glusterfs-devel-3.8.4-5.el7rhgs.x86_64                                                            6/6 

Removed:
  glusterfs-server.x86_64 0:3.8.4-5.el7rhgs                                                                          

Dependency Removed:
  glusterfs-api-devel.x86_64 0:3.8.4-5.el7rhgs                  glusterfs-devel.x86_64 0:3.8.4-5.el7rhgs             
  glusterfs-events.x86_64 0:3.8.4-5.el7rhgs                     glusterfs-ganesha.x86_64 0:3.8.4-5.el7rhgs           
  glusterfs-geo-replication.x86_64 0:3.8.4-5.el7rhgs           

Complete!
[root@dhcp46-239 ~]# rpm -qa | grep gluster
nfs-ganesha-gluster-2.3.1-8.el7rhgs.x86_64
glusterfs-api-3.8.4-5.el7rhgs.x86_64
python-gluster-3.8.4-5.el7rhgs.noarch
glusterfs-client-xlators-3.8.4-5.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-libs-3.8.4-5.el7rhgs.x86_64
glusterfs-fuse-3.8.4-5.el7rhgs.x86_64
glusterfs-rdma-3.8.4-5.el7rhgs.x86_64
glusterfs-3.8.4-5.el7rhgs.x86_64
glusterfs-cli-3.8.4-5.el7rhgs.x86_64
gluster-nagios-addons-0.2.7-1.el7rhgs.x86_64
glusterfs-debuginfo-3.8.4-4.el7rhgs.x86_64
[root@dhcp46-239 ~]#

Comment 12 errata-xmlrpc 2017-03-23 06:06:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.